Index: pjproject/trunk/pjsip/include/pjsua2/endpoint.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/endpoint.hpp	(revision 5972)
+++ pjproject/trunk/pjsip/include/pjsua2/endpoint.hpp	(revision 6026)
@@ -574,5 +574,5 @@
      * @param node		Container to write values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -581,5 +581,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 
 };
@@ -674,5 +674,5 @@
      * @param node		Container to write values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -681,5 +681,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -893,5 +893,5 @@
      * @param node		Container to write values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -900,5 +900,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -923,5 +923,5 @@
      * @param node		Container to write values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -930,5 +930,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 
 };
@@ -955,5 +955,5 @@
 public:
     /** Retrieve the singleton instance of the endpoint */
-    static Endpoint &instance() throw(Error);
+    static Endpoint &instance() PJSUA2_THROW(Error);
 
     /** Default constructor */
@@ -979,5 +979,5 @@
      * application must call libDestroy() before quitting.
      */
-    void libCreate() throw(Error);
+    void libCreate() PJSUA2_THROW(Error);
 
     /**
@@ -997,5 +997,5 @@
      * @param prmEpConfig	Endpoint configurations
      */
-    void libInit( const EpConfig &prmEpConfig) throw(Error);
+    void libInit( const EpConfig &prmEpConfig) PJSUA2_THROW(Error);
 
     /**
@@ -1004,5 +1004,5 @@
      * function any time after init().
      */
-    void libStart() throw(Error);
+    void libStart() PJSUA2_THROW(Error);
 
     /**
@@ -1014,5 +1014,5 @@
      * @param name	The optional name to be assigned to the thread.
      */
-    void libRegisterThread(const string &name) throw(Error);
+    void libRegisterThread(const string &name) PJSUA2_THROW(Error);
 
     /**
@@ -1063,5 +1063,5 @@
      * @param prmFlags	Combination of pjsua_destroy_flag enumeration.
      */
-    void libDestroy(unsigned prmFlags=0) throw(Error);
+    void libDestroy(unsigned prmFlags=0) PJSUA2_THROW(Error);
 
 
@@ -1136,5 +1136,5 @@
      */
     Token utilTimerSchedule(unsigned prmMsecDelay,
-                            Token prmUserData) throw (Error);
+                            Token prmUserData) PJSUA2_THROW(Error);
 
     /**
@@ -1158,5 +1158,5 @@
      * Get cipher list supported by SSL/TLS backend.
      */
-    IntVector utilSslGetAvailableCiphers() throw (Error);
+    IntVector utilSslGetAvailableCiphers() PJSUA2_THROW(Error);
 
     /*************************************************************************
@@ -1175,5 +1175,5 @@
      * Note that STUN must be enabled to run this function successfully.
      */
-    void natDetectType(void) throw(Error);
+    void natDetectType(void) PJSUA2_THROW(Error);
 
     /**
@@ -1186,5 +1186,5 @@
      * PJ_EPENDING exception will be raised.
      */
-    pj_stun_nat_type natGetType() throw(Error);
+    pj_stun_nat_type natGetType() PJSUA2_THROW(Error);
 
     /**
@@ -1212,5 +1212,5 @@
      */
     void natUpdateStunServers(const StringVector &prmServers,
-                              bool prmWait) throw(Error);
+                              bool prmWait) PJSUA2_THROW(Error);
 
     /**
@@ -1242,5 +1242,5 @@
     void natCheckStunServers(const StringVector &prmServers,
                              bool prmWait,
-                             Token prmUserData) throw(Error);
+                             Token prmUserData) PJSUA2_THROW(Error);
 
     /**
@@ -1257,5 +1257,5 @@
      */
     void natCancelCheckStunServers(Token token,
-                                   bool notify_cb = false) throw(Error);
+                                   bool notify_cb = false) PJSUA2_THROW(Error);
 
     /*************************************************************************
@@ -1273,5 +1273,5 @@
      */
     TransportId transportCreate(pjsip_transport_type_e type,
-                                const TransportConfig &cfg) throw(Error);
+                                const TransportConfig &cfg) PJSUA2_THROW(Error);
 
     /**
@@ -1283,5 +1283,5 @@
      * @return			Array of transport IDs.
      */
-    IntVector transportEnum() throw(Error);
+    IntVector transportEnum() PJSUA2_THROW(Error);
 
     /**
@@ -1292,5 +1292,5 @@
      * @return			Transport info.
      */
-    TransportInfo transportGetInfo(TransportId id) throw(Error);
+    TransportInfo transportGetInfo(TransportId id) PJSUA2_THROW(Error);
 
     /**
@@ -1304,5 +1304,5 @@
      *
      */
-    void transportSetEnable(TransportId id, bool enabled) throw(Error);
+    void transportSetEnable(TransportId id, bool enabled) PJSUA2_THROW(Error);
 
     /**
@@ -1313,5 +1313,5 @@
      * @param id		Transport ID.
      */
-    void transportClose(TransportId id) throw(Error);
+    void transportClose(TransportId id) PJSUA2_THROW(Error);
     
     /**
@@ -1328,5 +1328,5 @@
      * @param tp		The transport.
      */
-    void transportShutdown(TransportHandle tp) throw(Error);
+    void transportShutdown(TransportHandle tp) PJSUA2_THROW(Error);
 
     /*************************************************************************
@@ -1389,5 +1389,5 @@
      * @return		The list of media port.
      */
-    const AudioMediaVector &mediaEnumPorts() const throw(Error);
+    const AudioMediaVector &mediaEnumPorts() const PJSUA2_THROW(Error);
 
     /**
@@ -1396,5 +1396,5 @@
      * @return		The list of audio media port.
      */
-    AudioMediaVector2 mediaEnumPorts2() const throw(Error);
+    AudioMediaVector2 mediaEnumPorts2() const PJSUA2_THROW(Error);
 
     /**
@@ -1403,5 +1403,5 @@
      * @return		The list of video media port.
      */
-    VideoMediaVector mediaEnumVidPorts() const throw(Error);
+    VideoMediaVector mediaEnumVidPorts() const PJSUA2_THROW(Error);
 
     /**
@@ -1431,5 +1431,5 @@
      * @return		Array of codec info.
      */
-    const CodecInfoVector &codecEnum() throw(Error);
+    const CodecInfoVector &codecEnum() PJSUA2_THROW(Error);
 
     /**
@@ -1438,5 +1438,5 @@
      * @return		Array of codec info.
      */
-    CodecInfoVector2 codecEnum2() const throw(Error);
+    CodecInfoVector2 codecEnum2() const PJSUA2_THROW(Error);
 
     /**
@@ -1450,5 +1450,5 @@
      */
     void codecSetPriority(const string &codec_id,
-			  pj_uint8_t priority) throw(Error);
+			  pj_uint8_t priority) PJSUA2_THROW(Error);
 
     /**
@@ -1461,5 +1461,5 @@
      *
      */
-    CodecParam codecGetParam(const string &codec_id) const throw(Error);
+    CodecParam codecGetParam(const string &codec_id) const PJSUA2_THROW(Error);
 
     /**
@@ -1472,5 +1472,5 @@
      */
     void codecSetParam(const string &codec_id,
-		       const CodecParam param) throw(Error);
+		       const CodecParam param) PJSUA2_THROW(Error);
 
     /**
@@ -1482,5 +1482,5 @@
      * @return		Array of video codec info.
      */
-    const CodecInfoVector &videoCodecEnum() throw(Error);
+    const CodecInfoVector &videoCodecEnum() PJSUA2_THROW(Error);
 
     /**
@@ -1489,5 +1489,5 @@
      * @return		Array of video codec info.
      */
-    CodecInfoVector2 videoCodecEnum2() const throw(Error);
+    CodecInfoVector2 videoCodecEnum2() const PJSUA2_THROW(Error);
 
     /**
@@ -1502,5 +1502,5 @@
      */
     void videoCodecSetPriority(const string &codec_id,
-			       pj_uint8_t priority) throw(Error);
+			       pj_uint8_t priority) PJSUA2_THROW(Error);
 
     /**
@@ -1513,5 +1513,6 @@
      *
      */
-    VidCodecParam getVideoCodecParam(const string &codec_id) const throw(Error);
+    VidCodecParam getVideoCodecParam(const string &codec_id) const
+				     PJSUA2_THROW(Error);
 
     /**
@@ -1523,5 +1524,5 @@
      */
     void setVideoCodecParam(const string &codec_id,
-			    const VidCodecParam &param) throw(Error);
+			    const VidCodecParam &param) PJSUA2_THROW(Error);
 			    
     /**
@@ -1531,5 +1532,5 @@
      *
      */
-    void resetVideoCodecParam(const string &codec_id) throw(Error);
+    void resetVideoCodecParam(const string &codec_id) PJSUA2_THROW(Error);
 
     /**
@@ -1538,5 +1539,5 @@
      * @return		The list of SRTP crypto-suite name.
      */
-    StringVector srtpCryptoEnum() throw(Error);
+    StringVector srtpCryptoEnum() PJSUA2_THROW(Error);
 
     /*************************************************************************
@@ -1563,5 +1564,5 @@
      * @return		PJ_SUCCESS on success, other on error.
      */
-    void handleIpChange(const IpChangeParam &param) throw(Error);
+    void handleIpChange(const IpChangeParam &param) PJSUA2_THROW(Error);
 
 public:
